<?php
namespace Hyva\MirasvitSearch\Block\CategorySearch;

/**
 * Interceptor class for @see \Hyva\MirasvitSearch\Block\CategorySearch
 */
class Interceptor extends \Hyva\MirasvitSearch\Block\CategorySearch implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Mirasvit\Search\Model\ConfigProvider $config, \Magento\Search\Helper\Data $searchHelper, \Magento\Catalog\Model\Layer\Resolver $layerResolver, \Magento\Framework\Serialize\Serializer\Json $serializer)
    {
        $this->___init();
        parent::__construct($context, $config, $searchHelper, $layerResolver, $serializer);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
